Mangools/API

Create tracking

Create a new rank tracking for a single domain on a specific search location and platform. Pass the target domain, an initial list of keywords, the location_id and platform_id. Once the tracking is created, its keywords are queued for SERP crawl and default weekly and monthly email reports are automatically generated.

Platforms

Use platform_id to target a specific search platform (e.g. Google Desktop, Google Mobile, Maps). For multiple platforms in a single call, see /serpwatcher/multiple-trackings.

Duplicates

A tracking with the same domain, location and platform already in use returns HTTP 409.

POST
/serpwatcher/trackings

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.mangools.com/v3/serpwatcher/trackings" \  -H "Content-Type: application/json" \  -d '{    "domain": "string",    "location_id": 0,    "platform_id": 0,    "keywords": [      "string"    ]  }'
{
  "tracking": "string",
  "keywords": "string",
  "postponed_processing": "string"
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "ValidationError",
    "message": "Your request is invalid",
    "errors": [
      "\"kw\" is required"
    ]
  }
}